ApiAddSBNNToNSArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAddSBNNToNSArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAddSBNNToNSArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAddSBNNToNSArguments
      extends Object

  ApiAddSBNNToNSArguments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAddSBNNToNSArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAddSBNNToNSArguments` | `addNewNNHostIdsItem(String newNNHostIdsItem)`
    `ApiAddSBNNToNSArguments` | `clearDataDirs(Boolean clearDataDirs)`
    `boolean` | `equals(Object o)`
    `String` | `getNameServiceName()` The name of the NameService to which the new NameNode(s) should be added.
    `Map<String,String>` | `getNewNNDataDirs()` Mapping of NameNode Data Directories list to host id(s), key is the host id, the value is a comma separated list of directories to be set as NameNode Data Directories for the new NameNode(s).
    `List<String>` | `getNewNNHostIds()` List of host ids to which new NameNode(s) should be added.
    `int` | `hashCode()`
    `Boolean` | `isClearDataDirs()` Specifies whether the NameNode Data Directories configured should be cleared as a first step, or the command should fail if the directories specified are not empty.
    `Boolean` | `isRestartCluster()` Specifies whether the HDFS dependent services of the cluster should be restarted after the changes are applied, to reconfigure dependent services
    `ApiAddSBNNToNSArguments` | `nameServiceName(String nameServiceName)`
    `ApiAddSBNNToNSArguments` | `newNNDataDirs(Map<String,String> newNNDataDirs)`
    `ApiAddSBNNToNSArguments` | `newNNHostIds(List<String> newNNHostIds)`
    `ApiAddSBNNToNSArguments` | `putNewNNDataDirsItem(String key, String newNNDataDirsItem)`
    `ApiAddSBNNToNSArguments` | `restartCluster(Boolean restartCluster)`
    `void` | `setClearDataDirs(Boolean clearDataDirs)`
    `void` | `setNameServiceName(String nameServiceName)`
    `void` | `setNewNNDataDirs(Map<String,String> newNNDataDirs)`
    `void` | `setNewNNHostIds(List<String> newNNHostIds)`
    `void` | `setRestartCluster(Boolean restartCluster)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAddSBNNToNSArguments

          public ApiAddSBNNToNSArguments()

  - ### Method Detail

    - #### nameServiceName

          public ApiAddSBNNToNSArguments nameServiceName(String nameServiceName)

    - #### getNameServiceName

          public String getNameServiceName()

      The name of the NameService to which the new NameNode(s) should be added.
      Returns:
        nameServiceName

    - #### setNameServiceName

          public void setNameServiceName(String nameServiceName)

    - #### newNNHostIds

          public ApiAddSBNNToNSArguments newNNHostIds(List<String> newNNHostIds)

    - #### addNewNNHostIdsItem

          public ApiAddSBNNToNSArguments addNewNNHostIdsItem(String newNNHostIdsItem)

    - #### getNewNNHostIds

          public List<String> getNewNNHostIds()

      List of host ids to which new NameNode(s) should be added.
      Returns:
        newNNHostIds

    - #### setNewNNHostIds

          public void setNewNNHostIds(List<String> newNNHostIds)

    - #### newNNDataDirs

          public ApiAddSBNNToNSArguments newNNDataDirs(Map<String,String> newNNDataDirs)

    - #### putNewNNDataDirsItem

          public ApiAddSBNNToNSArguments putNewNNDataDirsItem(String key,
                                                              String newNNDataDirsItem)

    - #### getNewNNDataDirs

          public Map<String,String> getNewNNDataDirs()

      Mapping of NameNode Data Directories list to host id(s), key is the host id, the value is a comma separated list of directories to be set as NameNode Data Directories for the new NameNode(s).
      Returns:
        newNNDataDirs

    - #### setNewNNDataDirs

          public void setNewNNDataDirs(Map<String,String> newNNDataDirs)

    - #### clearDataDirs

          public ApiAddSBNNToNSArguments clearDataDirs(Boolean clearDataDirs)

    - #### isClearDataDirs

          public Boolean isClearDataDirs()

      Specifies whether the NameNode Data Directories configured should be cleared as a first step, or the command should fail if the directories specified are not empty.
      Returns:
        clearDataDirs

    - #### setClearDataDirs

          public void setClearDataDirs(Boolean clearDataDirs)

    - #### restartCluster

          public ApiAddSBNNToNSArguments restartCluster(Boolean restartCluster)

    - #### isRestartCluster

          public Boolean isRestartCluster()

      Specifies whether the HDFS dependent services of the cluster should be restarted after the changes are applied, to reconfigure dependent services
      Returns:
        restartCluster

    - #### setRestartCluster

          public void setRestartCluster(Boolean restartCluster)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.